Subject: Android build is now targetting Raring touch images

From: Kevin DuBois <[email-masked]>
Date: Mon, 22 Apr 2013 08:24:45 -0700

Hello all,
With the Ubuntu Touch image upgrading to raring last week, I've upgraded 
the android build scripts to target raring instead of quantal. The 
upgrade went smoothly, but does require us to upgrade our devices and 
build setup.

Simply,
1) upgrade your devices by flashing them with a raring image
2) Upgrade your toolchain. You should have been using the quantal 
package "g++-4.7-arm-linux-gnueabihf" before, but make sure you upgrade 
to raring's "g++-4.7-arm-linux-gnueabihf" package. If you try to use a 
quantal toolchain to produce code for a raring device, (or vice versa) 
I've seen std::chrono have problems with this, so just make sure that 
they match.
3) Bump your sources.list that you were pointing to armhf packages to 
use raring instead of quantal. I put an example sources.list file in 
doc/building_source_for_android.md
4) Regenerate your partial arm chroots using the scripts

Cheers,
Kevin